Bug 465133 - No X - Thinkpad T23
No X - Thinkpad T23
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-savage (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-01 14:51 EDT by Len Brown
Modified: 2008-10-01 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 20:23:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/xorg.conf (594 bytes, text/plain)
2008-10-01 14:51 EDT, Len Brown
no flags Details
lspci (1.17 KB, text/plain)
2008-10-01 14:52 EDT, Len Brown
no flags Details
dmesg (26.58 KB, text/plain)
2008-10-01 14:52 EDT, Len Brown
no flags Details
/var/log/Xorg.setup.log (1.39 KB, text/plain)
2008-10-01 14:59 EDT, Len Brown
no flags Details
/var/log/Xorg.0.log.old (8.83 KB, application/octet-stream)
2008-10-01 14:59 EDT, Len Brown
no flags Details
/var/log/Xorg.0.log (8.89 KB, application/octet-stream)
2008-10-01 15:00 EDT, Len Brown
no flags Details

  None (edit)
Description Len Brown 2008-10-01 14:51:14 EDT
Created attachment 319147 [details]
/etc/X11/xorg.conf

Install FC9 via DVD on Thinkpad T23.
Installer doesn't get into GUI mode, so complete install in text mode.
Installed system is unable to start X.
Comment 1 Len Brown 2008-10-01 14:52:25 EDT
Created attachment 319148 [details]
lspci
Comment 2 Len Brown 2008-10-01 14:52:49 EDT
Created attachment 319150 [details]
dmesg
Comment 3 Len Brown 2008-10-01 14:55:23 EDT
This is printed on the screen when trying to start X:

# X
X.Org X Server 1.4.99.901 (1.5.0 RC 1)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.14.el5xen i686 
Current Operating System: Linux t23 2.6.25-14.fc9.i686 #1 SMP Thu May 1 06:28:41 EDT 2008 i686
Build Date: 06 May 2008  03:35:07PM
Build ID: xorg-x11-server 1.4.99.901-29.20080415.fc9 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Oct  2 14:48:09 2008
(==) Using config file: "/etc/X11/xorg.conf"
(EE) SAVAGE(0): Internal error: cound not map aperture range (7, Argument list too long).

Backtrace:
0: X(xf86SigHandler+0x79) [0x80d60c9]
1: [0x110400]
2: /usr/lib/xorg/modules/drivers//savage_drv.so [0x1c3b21]
3: /usr/lib/xorg/modules/drivers//savage_drv.so [0x1c532a]
4: /usr/lib/xorg/modules/drivers//savage_drv.so [0x1c546f]
5: /usr/lib/xorg/modules/drivers//savage_drv.so [0x1ca130]
6: X(InitOutput+0x93f) [0x80a3a5f]
7: X(main+0x279) [0x806b1b9]
8: /lib/libc.so.6(__libc_start_main+0xe6) [0x8125d6]
9: X(FontFileCompleteXLFD+0x22d) [0x806a7a1]

Fatal server error:
Caught signal 11.  Server aborting
Comment 4 Len Brown 2008-10-01 14:59:13 EDT
Created attachment 319151 [details]
/var/log/Xorg.setup.log
Comment 5 Len Brown 2008-10-01 14:59:46 EDT
Created attachment 319152 [details]
/var/log/Xorg.0.log.old
Comment 6 Len Brown 2008-10-01 15:00:43 EDT
Created attachment 319153 [details]
/var/log/Xorg.0.log
Comment 7 Dave Airlie 2008-10-01 20:23:21 EDT
have you installed the updated savage driver available in F9 updates?

I think we fixed this just after F9 GOLD.

Note You need to log in before you can comment on or make changes to this bug.